## Specifying the Entity

To specify the entity to be shown, use the following command options:

If the entity is a project file:

    -efile filename

Or, if the entity is not a file:

    -name entityname -file filename [-line line -col
    column]

where:

- -efile - Specify the name of the file entity you wish to learn more about. This is a required argument if the entity is a file.
- -name - Specify the name of the entity you wish to learn more about. This is a required argument if the entity is not a file. Partial names will not be matched.
- -file - Specify the name of a file where the entity is referenced. This is a required argument if the entity is not a file.
- -line - An optional argument indicating what line number the entity you want to learn about is found at. This further clarifies where you are looking at an entity. Again, most often used when undestand_c is launched from an editor or other source browsing program.
- -col - An optional argument indicating at what column position the entity you want to learn more about is at.

Following is a sample command line to load the Info Browser of an existing Understand session with the prop_ entity, which is referenced in the file view.cpp at line 377:

    understand_c -name “prop_” -file view.cpp -line 377 -ib

You can also specify an entity using the -filter and -jumpto options:

- -filter “filter_tab” - Selects the specifed tab in the Filter Area in the Understand for C++ interface.
- -jumpto “entityname or begins with string” - Jumps to the first entity that begins with specified string in the current or specified (with the -filter option) tab of the Filter Area in Understand for C++. The -jumpto option sets the current entity for use by other command line options.

Scientific Toolworks, Inc. http://www.scitools.com